## org.eclipse.emf.ecore.util
Class DelegatingEcoreEList.Generic<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.DelegatingEList<E>
                  org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.DelegatingEcoreEList<E>
                              org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, NotifyingList<E>, EList<E>, EStructuralFeature.Setting, InternalEList<E>, InternalEList.Unsettable<E>

Direct Known Subclasses:
  DelegatingEcoreEList.Dynamic

Enclosing class:
  DelegatingEcoreEList<E>

    public abstract static class DelegatingEcoreEList.Generic<E>

extends DelegatingEcoreEList<E>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`DelegatingEcoreEList.Dynamic<E>, DelegatingEcoreEList.Generic<E>, DelegatingEcoreEList.UnmodifiableEList<E>, DelegatingEcoreEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>`

Field Summary
`static int` `HAS_INSTANCE_CLASS`
`static int` `HAS_MANY_INVERSE`
`static int` `HAS_NAVIGABLE_INVERSE`
`static int` `HAS_PROXIES`
`static int` `IS_CONTAINER`
`static int` `IS_CONTAINMENT`
`static int` `IS_ENUM`
`static int` `IS_EOBJECT`
`static int` `IS_PRIMITIVE`
`static int` `IS_SET`
`static int` `IS_UNIQUE`
`static int` `IS_UNSETTABLE`
`protected int` `kind`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`owner`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DelegatingEcoreEList.Generic(int kind, InternalEObject owner)`

Method Summary
`protected boolean` `canContainNull()` Returns `!`
`protected void` `didChange()` Called to indicate that the backing store list has been changed.
`protected boolean` `hasInstanceClass()`
`protected boolean` `hasInverse()` Returns `false`.
`protected boolean` `hasManyInverse()`
`protected boolean` `hasNavigableInverse()`
`protected boolean` `hasProxies()`
`protected boolean` `isContainer()`
`protected boolean` `isContainment()`
`protected boolean` `isEObject()`
`boolean` `isSet()` Returns whether the list is considered set, i.e., whether it's not empty.
`protected boolean` `isUnique()` Returns whether objects are constrained to appear at most once in the list.
`protected boolean` `isUnsettable()`
`static int` `kind(EStructuralFeature eStructuralFeature)`
`void` `unset()` Unsets the value held by the feature of the object.
`protected boolean` `useEquals()` Returns whether `equals` rather than `==` should be used to compare members.

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureID, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, indexOf, inverseAdd, inverseRemove, isInstance, isNotificationRequired, lastIndexOf, resolve, resolve, resolveProxy, set, toArray, toArray, validate`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl
`basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList

`add, add, addAll, addAll, containsAll, delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateEquals, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateList, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, didAdd, didClear, didMove, didRemove, didSet, doClear, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, set, size, toString`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList`

Field Detail

### IS_SET

    public static final int IS_SET

See Also:
  Constant Field Values

### IS_UNSETTABLE

    public static final int IS_UNSETTABLE

See Also:
  Constant Field Values

### HAS_INSTANCE_CLASS

    public static final int HAS_INSTANCE_CLASS

See Also:
  Constant Field Values

### HAS_NAVIGABLE_INVERSE

    public static final int HAS_NAVIGABLE_INVERSE

See Also:
  Constant Field Values

### HAS_MANY_INVERSE

    public static final int HAS_MANY_INVERSE

See Also:
  Constant Field Values

### IS_CONTAINMENT

    public static final int IS_CONTAINMENT

See Also:
  Constant Field Values

### IS_CONTAINER

    public static final int IS_CONTAINER

See Also:
  Constant Field Values

### IS_UNIQUE

    public static final int IS_UNIQUE

See Also:
  Constant Field Values

### IS_PRIMITIVE

    public static final int IS_PRIMITIVE

See Also:
  Constant Field Values

### IS_ENUM

    public static final int IS_ENUM

See Also:
  Constant Field Values

### IS_EOBJECT

    public static final int IS_EOBJECT

See Also:
  Constant Field Values

### HAS_PROXIES

    public static final int HAS_PROXIES

See Also:
  Constant Field Values

### kind

    protected int kind

Constructor Detail

### DelegatingEcoreEList.Generic

    public DelegatingEcoreEList.Generic(int kind,
                                        InternalEObject owner)

Method Detail

### kind

    public static int kind(EStructuralFeature eStructuralFeature)

### useEquals

    protected boolean useEquals()

  Description copied from class: `DelegatingEList`
  Returns whether `equals` rather than `==` should be used to compare members. The default is to return `true` but clients can optimize performance by returning `false`. The performance difference is highly significant.

  Overrides:
    `useEquals` in class `DelegatingEList<E>`
  Returns:
    whether `equals` rather than `==` should be used.

### canContainNull

    protected boolean canContainNull()

  Description copied from class: `DelegatingNotifyingListImpl`
  Returns `!`DelegatingNotifyingListImpl.hasInverse()``.

  Overrides:
    `canContainNull` in class `DelegatingEcoreEList<E>`
  Returns:
    `!hasInverse`.

### isUnique

    protected boolean isUnique()

  Description copied from class: `DelegatingEList`
  Returns whether objects are constrained to appear at most once in the list. The default is to return `false`, but clients can override this to ensure uniqueness of contents. The performance impact is significant: operations such as `add` are O(n) as a result requiring uniqueness.

  Overrides:
    `isUnique` in class `DelegatingEcoreEList<E>`
  Returns:
    whether objects are constrained to appear at most once in the list.

### hasInverse

    protected boolean hasInverse()

  Description copied from class: `DelegatingNotifyingListImpl`
  Returns `false`.

  Overrides:
    `hasInverse` in class `DelegatingEcoreEList<E>`
  Returns:
    `false`.

### hasManyInverse

    protected boolean hasManyInverse()

  Overrides:
    `hasManyInverse` in class `DelegatingEcoreEList<E>`

### hasNavigableInverse

    protected boolean hasNavigableInverse()

  Overrides:
    `hasNavigableInverse` in class `DelegatingEcoreEList<E>`

### isEObject

    protected boolean isEObject()

  Overrides:
    `isEObject` in class `DelegatingEcoreEList<E>`

### isContainment

    protected boolean isContainment()

  Overrides:
    `isContainment` in class `DelegatingEcoreEList<E>`

### hasProxies

    protected boolean hasProxies()

  Overrides:
    `hasProxies` in class `DelegatingEcoreEList<E>`

### hasInstanceClass

    protected boolean hasInstanceClass()

  Overrides:
    `hasInstanceClass` in class `DelegatingEcoreEList<E>`

### isContainer

    protected boolean isContainer()

### isUnsettable

    protected boolean isUnsettable()

### isSet

    public boolean isSet()

  Description copied from class: `DelegatingNotifyingListImpl`
  Returns whether the list is considered set, i.e., whether it's not empty. A derived implementation may model this state directly.

  Specified by:
    `isSet` in interface `EStructuralFeature.Setting`
  Specified by:
    `isSet` in interface `InternalEList.Unsettable<E>`
  Overrides:
    `isSet` in class `DelegatingEcoreEList<E>`
  Returns:
    whether the list is considered set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### unset

    public void unset()

  Description copied from interface: `EStructuralFeature.Setting`
  Unsets the value held by the feature of the object.

  Specified by:
    `unset` in interface `EStructuralFeature.Setting`
  Specified by:
    `unset` in interface `InternalEList.Unsettable<E>`
  Overrides:
    `unset` in class `DelegatingEcoreEList<E>`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### didChange

    protected void didChange()

  Description copied from class: `DelegatingEList`
  Called to indicate that the backing store list has been changed. This implementation does nothing; clients can use this to monitor change in the backing store list.

  Overrides:
    `didChange` in class `DelegatingEList<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.